Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622346 - The machine will hang when using syslinux 3.86 to download vmlinuz and initrd with Broadcom BCM5723 chip ethernet
The machine will hang when using syslinux 3.86 to download vmlinuz and initr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: syslinux (Show other bugs)
6.0
x86_64 All
low Severity high
: rc
: ---
Assigned To: Peter Jones
Release Test Team
: RHELNAK
Depends On:
Blocks: 647893
  Show dependency treegraph
 
Reported: 2010-08-08 23:01 EDT by Hui Li
Modified: 2013-09-29 21:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: syslinux-4.02-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0634 normal SHIPPED_LIVE syslinux bug fix update 2011-05-18 13:55:50 EDT

  None (edit)
Description Hui Li 2010-08-08 23:01:25 EDT
Description of problem:
When pxelinux.0 starts to download vmlinuz and initrd from a specific tftp servrer, the machine will hang. Keyboard has no response. 

Version-Release number of selected component (if applicable):
syslinux-3.86-1.1.el6.x86_64

How reproducible:


Steps to Reproduce:
1.Set up Cobbler and TFTP server etc. services for OS deployment.
2.Clients can show the Cobbler selection menu well. That means TFTP stage 1 well. 
3.When select an item to install.
  
Actual results:
After select an item to install, the machine hangs. 

Expected results:
Downloading vmlinuz and initrd then go on installation procedure.

Additional info:
This problem happened in HP ML150-G6 Server with Broadcom BCM5723 ethernet chip. After upgrade the latest syslinux package from syslinux official site: http://www.kernel.org/pub/linux/utils/boot/syslinux/RPMS/x86_64/syslinux-4.02-1.x86_64.rpm, this problem is resolved. I suppose that it would be a compatibility problem.
Comment 1 Hui Li 2010-08-08 23:05:37 EDT
My problem is which syslinux version will be contained in RHEL 6 release? And as we know users can update syslinux. However, this problem is typical I think. Fedora 12 and Fedora 13 has the same problem. 

Frankly speaking, users will suppose that would be a hardware problem when encounter this problem first time. So I think it would be necessary to give a way to solve that problem.

IMO, that would be an incompatibility with pxelinux.0 and the ethernet chip ROM.
Comment 3 RHEL Product and Program Management 2010-08-08 23:27:53 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 RHEL Product and Program Management 2010-10-29 17:30:16 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 9 Alexander Todorov 2011-02-21 03:42:23 EST
We now have syslinux-4.02-4.el6 into 6.1 trees and I have confirmation from Hui Li
that it is working well for him. Moving to VERIFIED.
Comment 10 errata-xmlrpc 2011-05-19 09:45:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0634.html

Note You need to log in before you can comment on or make changes to this bug.